"""
VNGE RenPy Mini Adv like skin
1.0

1.0
- initial in VNGE 30.0
"""

from vngameengine import *

import UnityEngine
#import GameCursor, CameraControl
from UnityEngine import GUI, GUILayout, GUIStyle, GUIContent, GUIUtility, Screen, Rect, Vector3, Input, KeyCode
from UnityEngine import Event, EventType, WaitForSeconds, GameObject, Mathf, Time
import System

from skin_renpymini import SkinRenPyMini

def get_skin():
    return SkinRenPyMiniAdv()

class SkinRenPyMiniAdv(SkinRenPyMini):
    def __init__(self):
        SkinRenPyMini.__init__(self);
        self.name = "skin_renpyminiadv"
        #self.isDrawOneBtnLikeBtnOnly = True

    def render_main(self,text_author,text,btnsTexts,btnsActions,btnStyle):
        if text == "":
            self.isDrawOnlyBtn = True
            #self.isDrawOneBtnLikeBtnOnly = True
        else:
            self.isDrawOnlyBtn = False
            #self.isDrawOneBtnLikeBtnOnly = False

        SkinRenPyMini.render_main(self,text_author,text,btnsTexts,btnsActions,btnStyle)

